Instalacja Skype na komputerze z systemem 64-bitowym

Uwaga: Ten wpis został utworzony ponad rok temu. Informacje w nim zawarte mogą być nieaktualne!

skype

Zacznijmy od tego, że problem z instalacją Skype na Ubuntu i innych dystrybucjach Linuksa opartych o architekturę 64-bitową jest znany od dawien dawna. Skype – dziś Microsoft, nie ma najmniejszej ochoty stworzyć aplikacji dedykowanej tylko procesorom pracującym w architekturze 64-bit z systemem opartym o jądro Linuksa, tak więc musimy radzić sobie sami.

Po poprawnej instalacji Skype, czy to z paczki instalacyjnej, czy to z repozytorium – zawsze wyskakuje nam powiadomienie o braku bibliotek z 32-bitowych systemów, które jak wiemy – są zastąpione bibliotekami 64 bitowymi. Tak jak w przypadku systemów Windows – Debian i jego pochodne umożliwiają nam uruchamianie aplikacji 32-bitowych w systemie 64-bitowym, jednak gdy programy nie chcą używać alternatyw bibliotek starszych rozwiązań w nowszych – zaczynają się takie właśnie kwiatki.

Aby zainstalować Skype dedykowane nie tylko procesorom 32-bitowym (multiarch), wystarczy dodać do programu dpgk (odpowiedzialnego za instalację aplikacji) wytyczne wspierania architektury 32-bitowej.

Instalacja na Ubuntu 13.04+:

sudo dpkg --add-architecture i386

Następnie, mając dwie drogi – pobierając program z repozytorium lub ze strony producenta – instalujemy Skype.

Jeżeli chcecie zainstalować program z repozytorium, wystarczy wklepać w okno terminala zbiór komend:

sudo add-apt-repository "deb http://archive.canonical.com/ $(lsb_release -sc) partner"
sudo apt-get update
sudo apt-get install skype

Instalacja na Ubuntu 12.04 LTS:

Niestety, metoda dodania do dpkg architektury x64 nie działa. Aby uruchomić Skype, należy zainstalować brakujące biblioteki. Dokonamy tego, wykonując komendę:

sudo apt-get install libqt4-dbus:i386 libqt4-network:i386 libqt4-xml:i386 libqtcore4:i386 libqtgui4:i386 libqtwebkit4:i386 sni-qt:i386

Następnie instalujemy Skype przy pomocy repozytorium:

sudo add-apt-repository "deb http://archive.canonical.com/ $(lsb_release -sc) partner"
sudo apt-get update
sudo apt-get install skype

Po wykonaniu wszystkich powyższych komend, program musi prawidłowo działać. Miłego gawędzenia!

Zrzut-ekranu-z-2013-12-05-094631

Jeżeli powyższy artykuł nie rozwiązał lub rozwiązał częściowo Twój problem, dodaj swój komentarz opisujący, w którym miejscu napotkałeś trudności.
Mile widziane komentarze z uwagami lub informacjami o rozwiązaniu problemu.
  • icywind

    Umożliwiliby używanie Skype przez przeglądarkę jak jest z hangoutami czy nawet GG i nie byłoby problemu…

    • http://Surething.pl/ Rafał Kurczyński

      Cóż, nie urok to… ;)

    • Dragonk

      Hangauty potrzebują i tak osobnego pluginu, który jest odpalany w przeglądarce – osobny proces itp. Tylko w okienku przeglądarki… W dodatku plugin nie działa z przeglądarkami opartymi na qt-webkit :c

      • icywind

        Rzeczywiście, masz rację. Mimo to wydaje mi się, że wydanie pluginu to dużo mniej roboty niż całego programu.

    • Daniel

      Częściowo taka funkcja już jest przez konto na outlook.com. Z moich obserwacji nie obsługuje jeszcze konferencji

  • andrzej

    pojawila sie alternatywa dla mikroszitowego skypa w postaci Vibera ,ale tu jest problem odwrotny, jest tylko 64bit paczka, a ja mam system 32 bit. czy mozna zrobic podobny zabieg ?

    • mistrz ciętej riposty

      Nie.

  • RafciX

    „wystarczy dodać do programu dpgk”… jak już to chyba dpkg :D

    W ogóle ja zainstalowałem Skype przy użyciu paczki *.deb na ich stronie i działa bez problemu na Kubuntu 64-bitowym :P

  • http://Surething.pl/ Rafał Kurczyński

    Dodałem, jak wgrać Skype na 12.04, w tym elementaryOS Luna – testowałem :)

  • mati75

    Wprowadzacie ludzi w błąd! Ubuntu od wersji 12.04 ma domyślne aktywny tryb multiarch w wersji 64 bitowej (amd64). Aby zainstalować skype należy dodać tylko repozytorium Canonical partner i nic więcej.

  • Darek Siem

    Ubuntu 15.4 dziala znakomicie :)

  • Lag Maryla

    Nie mogę zainstalować Skypa na Ubuntu 15,10 syst, 32 bit Na poprzednich wersjach zainstalowałam.